API referenceEdits
Create a saved edit
Creates a saved edit from finished generations or workspace files, in order. This is version 1. Free.
View as MarkdownOpen in ClaudeOpen in ChatGPTConnect the roasOS MCP server: https://mcp.roasos.com/mcp
Creates a saved edit from finished generations or workspace files, in order. This is version 1. Free.
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/edits" \ -H "Content-Type: application/json" \ -d '{ "clips": [ {} ] }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "version": 0, "latest_version": 0, "length_seconds": 0, "property1": null, "property2": null }}